<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Anchos y altos</title>
    <style>
        div {
            background-color: bisque;
            border: 2px solid black;
            display: flex;
            justify-content: center;
            align-items: center;
            width: 150px;
            height: 150px;
            margin: 15px;
        }

        div#b {
            margin-top: -170px;
            margin-left: 185px;
        }

        div#c {

            margin-left: 185px;
        }

        div#d {
            margin-top: -170px;
            margin-left: 355px;
        }

        div#e {
            margin-left: 355px;
        }

        div#f {
            margin-top: -170px;
            margin-left: 525px;
        }
    </style>
</head>

<body>
    <div id="a">A</div>
    <div id="b">B</div>
    <div id="c">C</div>
    <div id="d">D</div>
    <div id="e">E</div>
    <div id="f">F</div>
</body>

</html>